(* Monat auswhlen

    2007-2024 J. Rathlev 24222 Schwentinental
      Web:  www.rathlev-home.de
      Mail: kontakt(a)rathlev-home.de

   The contents of this file may be used under the terms of the
   Mozilla Public License ("MPL") or
   GNU Lesser General Public License Version 2 or later (the "LGPL")

   Software distributed under this License is distributed on an "AS IS" basis,
   WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
   the specific language governing rights and limitations under the License.
   *)

unit Monwahl;

interface

uses Winapi.Windows, System.SysUtils, System.Classes, Vcl.Graphics, Vcl.Forms,
  Vcl.Controls, Vcl.Buttons, Vcl.StdCtrls, Vcl.ExtCtrls;

type
  TMonateWahl = class(TForm)
    OKBtn: TBitBtn;
    CancelBtn: TBitBtn;
    Label1: TLabel;
    Label2: TLabel;
    Monat1Wahl: TComboBox;
    Monat2Wahl: TComboBox;
    gbJahr: TGroupBox;
  private
    { Private declarations }
      public
    { Public declarations }
    function GetMonate (Jahr : integer; var Mon1,Mon2 : integer) : boolean;
  end;

var
  MonateWahl: TMonateWahl;

implementation

{$R *.DFM}
function TMonateWahl.GetMonate (Jahr : integer; var Mon1,Mon2 : integer) : boolean;
begin
  gbJahr.Caption:=IntToStr(Jahr);
  Monat1Wahl.ItemIndex:=pred(Mon1);
  Monat2Wahl.ItemIndex:=pred(Mon2);
  if ShowModal=mrOK then begin
    Mon1:=succ(Monat1Wahl.ItemIndex);
    Mon2:=succ(Monat2Wahl.Itemindex);
    if Mon2<Mon1 then Mon2:=Mon1;
    GetMOnate:=true;
    end
  else GetMonate:=false;
  end;

end.
