(*  Hinweis beim Ausdrucken anzeigen

    2007-2023 J. Rathlev 24222 Schwentinental
      Web:  www.rathlev-home.de
      Mail: kontakt(a)rathlev-home.de

   The contents of this file may be used under the terms of the
   Mozilla Public License ("MPL") or
   GNU Lesser General Public License Version 2 or later (the "LGPL")

   Software distributed under this License is distributed on an "AS IS" basis,
   WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
   the specific language governing rights and limitations under the License.
   *)

unit Wethinw;

interface

uses
  Winapi.Windows, System.SysUtils, System.Classes, Vcl.Graphics, Vcl.Controls,
  Vcl.Forms, Vcl.Dialogs, Vcl.StdCtrls, Vcl.ExtCtrls, Vcl.Buttons;

type
  TWetHinweis = class(TForm)
    Panel1: TPanel;
    Hinweis1: TLabel;
    Hinweis2: TLabel;
    AbbrBtn: TBitBtn;
    procedure AbbrBtnClick(Sender: TObject);
    procedure HinweisShow(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
    Abbruch : boolean;
  end;

var
  WetHinweis: TWetHinweis;

implementation

{$R *.DFM}

procedure TWetHinweis.AbbrBtnClick(Sender: TObject);
begin
  Abbruch:=true;
end;

procedure TWetHinweis.HinweisShow(Sender: TObject);
begin
  Abbruch:=false;
  Hinweis2.Caption:='';
end;

end.
